$(function () {
  $("#invalidateKey").live('click', function () {
    var buttonAction = function () {
      $(".modal[role='dialog']").modal("hide");
      $.get(LS.routes.regenerateApiKey, function (data) {
        $("#tokenContent").html(data);
      });
    };
    var body = 'This will invalidate the current REST API key. Are you sure you want to regenerate the key?';
    var options = {
      buttonsWrapperClass: 'reversed',
      buttonClass: 'btn',
      buttonCloseClass: 'btn-danger',
      buttonCloseText: 'Cancel'
    };
    LS.openModal('Confirm', body, 'Ok', buttonAction, options);
  });

  $('a[data-form-ref]').click(function(evt) {
    evt.preventDefault();
    var formSelector = $(this).data().formRef;
    $(formSelector).submit();
    return false;
  });
});

//Restrict subnet for console access
$("input.restrict-token, input.restrict-subnet").live('click', function () {
  var input = $(this).parents(".control-group:eq(0)").find("input:visible:not(:checkbox)");
  var restrict = $(this).is(":not(:checked)");
  input.attr("disabled", restrict);
  if (restrict) {
    input.attr("value", "");
  }
});

